Subject: bug#23727: Gnus doesn't always indicate successful posting

From: Live System User <[email-masked]>
Date: Wed, 08 Jun 2016 07:07:42 -0400

Hi,

        I tried to follow up to a posting to gmane.emacs.devel by
        typing F `(gnus-summary-followup-with-original)'.

        After typing "C-u C-c C-c" `(message-send-and-exit)', I got
        the message:

            Wrote /home/liveuser/Mail/send-news/3

       but Emacs was unresponsive and the "unsent..." buffer remained.

       After about 5 minutes, I typed C-g `(keyboard-quit)' and typed
       "C-u C-c C-c" again while in the "*unsent..." buffer and got
       no message but the "*unsent..." buffer remained.

       I then typed just "C-c C-c" and then got the message:

             Denied posting -- multiple copies

       So, presumably, the posting went through to Gmane the first
       time or else my Emacs/Gnus session was in a state that it
       believed the posting went through even though it didn't.
       (I'll have to check gmane.emacs.devel later to see if it did
       go through).  In any event, I had no other indication of my
       posting's desposition.

       If it did go through, why didn't Gnus change the "*unsent..."
       buffer to "*sent..."?

       [UPDATE: The posing did NOT go through but I see the message
                in my "nndraft:queue" folder.  I tried again by
                compsing a new message and this time it went through]

       Thanks.

Gnus v5.13
GNU Emacs 25.0.94.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.18.9)
 of 2016-05-18
200 news.gmane.org InterNetNews NNRP server INN 2.5.1 ready (posting ok)
100 Legal commands
  ARTICLE [message-ID|number]
  AUTHINFO USER name|PASS password|GENERIC program [argument ...]
  BODY [message-ID|number]
  CAPABILITIES [keyword]
  DATE
  GROUP newsgroup
  HDR header [message-ID|range]
  HEAD [message-ID|number]
  HELP
  IHAVE message-ID
  LAST
  LIST [ACTIVE [wildmat]|ACTIVE.TIMES [wildmat]|DISTRIB.PATS|DISTRIBUTIONS|HEADERS [MSGID|RANGE]|MODERATORS|MOTD|NEWSGROUPS [wildmat]|OVERVIEW.FMT|SUBSCRIPTIONS]
  LISTGROUP [newsgroup [range]]
  MODE READER
  NEWGROUPS [yy]yymmdd hhmmss [GMT]
  NEWNEWS wildmat [yy]yymmdd hhmmss [GMT]
  NEXT
  OVER [range]
  POST
  QUIT
  STARTTLS
  STAT [message-ID|number]
  XGTITLE [wildmat]
  XHDR header [message-ID|range]
  XOVER [range]
  XPAT header message-ID|range pattern [pattern ...]
Report problems to <[email-masked]>.
.
382 Begin TLS negotiation now
100 Legal commands
  ARTICLE [message-ID|number]
  AUTHINFO USER name|PASS password|GENERIC program [argument ...]
  BODY [message-ID|number]
  CAPABILITIES [keyword]
  DATE
  GROUP newsgroup
  HDR header [message-ID|range]
  HEAD [message-ID|number]
  HELP
  IHAVE message-ID
  LAST
  LIST [ACTIVE [wildmat]|ACTIVE.TIMES [wildmat]|DISTRIB.PATS|DISTRIBUTIONS|HEADERS [MSGID|RANGE]|MODERATORS|MOTD|NEWSGROUPS [wildmat]|OVERVIEW.FMT|SUBSCRIPTIONS]
  LISTGROUP [newsgroup [range]]
  MODE READER
  NEWGROUPS [yy]yymmdd hhmmss [GMT]
  NEWNEWS wildmat [yy]yymmdd hhmmss [GMT]
  NEXT
  OVER [range]
  POST
  QUIT
  STARTTLS
  STAT [message-ID|number]
  XGTITLE [wildmat]
  XHDR header [message-ID|range]
  XOVER [range]
  XPAT header message-ID|range pattern [pattern ...]
Report problems to <[email-masked]>.
.